Summary: TeX typesetting system and MetaFont font formatter
Name: tetex
Version: 0.4pl8
Release: 11
Copyright: distributable
Group: Applications/Publishing/TeX
Requires: tmpwatch
Prereq: /sbin/install-info
# lets give these macros a run for their money
%define ftppath ftp://sunsite.unc.edu/pub/Linux/apps/tex/teTeX/distrib/sources/
%define binsrc teTeX-src-0.4pl7.tar.gz
%define texlib teTeX-lib-0.4pl8.tar.gz
%define texmfsrc texmf-src-0.4pl8.tar.gz
Source0: %{ftppath}%{binsrc}
Source1: %{ftppath}%{texlib}
Source2: %{ftppath}%{texmfsrc}
Source3: dvi-to-ps.fpi
Source4: tetex-tetex-skel
Source5: tetex-latex-skel
Source6: tetex-dvilj-skel
Source7: tetex-dvips-skel
Source8: tetex-afm-skel
Source9: tetex-xdvi-skel
Source10: tetex.cron
Patch0: teTeX-src-0.4-misc.patch
Patch1: teTeX-lib-0.4-config.patch
Patch2: teTeX-src-0.4-glibc.patch
Patch3: teTeX-src-0.4-a3paper.patch
Url: http://www.tug.org/teTeX/
Summary(de): TeX-Satzherstellungssystem und MetaFont-Formatierung
Summary(fr): Systme de compostion TeX et formatteur de MetaFontes.
Summary(tr): TeX dizgi sistemi ve MetaFont yaztipi biimlendiricisi

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Thu Feb  5 1998 Otto Hammersmith <otto@redhat.com>

- added install-info support (dvips, fontname and kpathsea)
- combined the two changelogs in the spec file.

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>

- Fixed dvi-to-ps.fpi to create temp files more safely.

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Tue Apr  8 1997 Michael Fulbright <msf@redhat.com>

- Removed afmdoit from file list (mistakenly added in release 3 rpm)

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>

-Upgraded to tetex-lib to 0.4pl8 and fixed cron tmpwatch entry to not
 delete /var/lib/texmf/fonts and /var/lib/texmf/texfonts

* Fri Mar 07 1997 Michael Fulbright <msf@redhat.com>

- Upgraded to 0.4pl7.

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>

- Upgraded to 0.4pl6, and fixed file permissions on /var/lib/texmf/texfonts
  so normal users could create fonts on demand.

%description
TeX formats a file of interspersed text and commands and outputs a
typesetter independent file (called DVI, which is short for DeVice
Independent).  TeX capabilities and language are described in The
TeXbook, by Knuth.

%package latex
Summary: LaTeX macro package
Group: Applications/Publishing/TeX
Summary(de): LaTeX-Makropaket
Summary(fr): Package de macros pour LaTeX
Summary(tr): LaTeX makro paketi

%description latex
LaTeX is a TeX macro package. The LaTeX macros encourage writers to
think about the content of their documents, rather than the form.  The
ideal, very difficult to realize, is to have no formatting commands
(like ``switch to italic'' or ``skip 2 picas'') in the document at
all; instead, everything is done by specific markup instructions:
``emphasize'', ``start a section''.

%package xdvi
Summary: X11 previewer
Group: Applications/Publishing/TeX
Summary(de): X11-Previewer 
Summary(fr): Prvisualisateur X11
Summary(tr): X11 ngrntleyici

%description xdvi
xdvi is a program which runs under the X window system. It is used to
preview dvi files, such as are produced by tex and latex.

%package dvips
Summary: dvi to postscript convertor
Group: Applications/Publishing/TeX
Summary(de): dvi-Postscript-Konvertierungsprogramm
Summary(fr): Convertisseur dvi vers PostScript
Summary(tr): dvi'dan postscript'e dntrc

%description dvips
The program dvips takes a DVI file file[.dvi] produced by TeX (or by
some other processor such as GFtoDVI) and converts it to PostScript,
normally sending the result directly to the laserprinter.

%package dvilj
Summary: dvi to laserjet convertor
Group: Applications/Publishing/TeX
Summary(de): Ein dvi-->Laserjet-Konvertierer
Summary(fr): convertisseur dvi vers laserjet.
Summary(tr): dvi'dan laserjet'e dntrc

%description dvilj
Dvilj and siblings convert TeX-output .dvi files into HP PCL (i.e.  HP
Printer Control Language) commands suitable for printing on a HP
LaserJet+, HP LaserJet IIP (using dvilj2p), HP LaserJet 4 (using
dvilj4), and fully compatible printers.

%package afm
Summary: afm (Adobe Font Metrics) fonts and utilities
Group: Applications/Publishing/TeX
Summary(de): Fonts und Dienstprogramme fr afm (Adobe Font Metrics)
Summary(fr): Fontes afm (Adobe Font Metrics) et utilitaires
Summary(tr): afm yaztipleri ve yardmc programlar

%description afm
PostScript fonts are (or should be) accompanied by font metric files
such as Times-Roman.afm, which describes the characteristics of the
font called Times-Roman.  To use such fonts with TeX, we need TFM
files that contain similar information.  afm2tfm does that conversion.

%package texmf-src
Summary: Documented sources for TeX packages
Group: Applications/Publishing/TeX
Summary(de): Dokumentierte Quellen fr TeX-Pakete
Summary(fr): Sources documentes pour les packages TeX.
Summary(tr): TeX paketlerinin aklamal kaynak kodlar

%description texmf-src
This package contains the source for the documents and TeX components in the
teTeX distribution. This package IS NOT REQUIRED to use teTeX, but is
useful for those who need to customize it. The documented source file
(*.dtx) are an example of what this package contains.

%description -l de latex
LaTeX ist ein TeX-Makropaket. Die LaTeX-Makros regen den Autor an, 
ber den Inhalt - und nicht die Form - ihrer Dokumente nachzudenken. 
Ideal, wenn auch schwer zu realisieren, wre ein Dokument, das 
keinerlei Formatierungsbefehle (von der Art 'Kursiv ein/aus' 
oder 'Zeilenabstand um 2 Pica vergrern') enthielte. Stattdessen  
wrde all dies durch spezifische 'redaktionelle' Instruktionen ersetzt 
('auszeichnen', 'neues Kapitel starten'). 

%description -l de dvips
Das dvips-Programm nimmt eine dvi-Datei ([.dvi]), die von TeX
bzw. durch einen anderen Prozessor wie GFtoDVI) erzeugt wurde, und
konvertiert diese in PostScript, wobei das Ergebnis in der Regel direkt
an einen Laserdrucker gesandt wird.

%description -l de afm
PostScript-Fonts werden (oder sollten) von Font-Metric-Dateien
(z.B. Times-Roman.afm) begleitet, die die Eigenschaften des Fonts
(hier: Times-Roman) beschreiben. Um solche Fonts mit TeX verwenden
zu knnen, werden TFM-Dateien bentigt, die hnliche Informationen


%description -l de xdvi
xdvi ist ein Programm, das unter dem X-Window-System luft und gewohnt 
ist, dvi-Dateien als Vorschau anzuzeigen, etwa solche, die von tex und 
latex erzeugt wurden. 

%description -l de texmf-src
Dieses Paket enthlt die Quellen fr die Dokumente und die TeX-Komponenten
von teTeX. Zum Ausfhren von teTeX ist dieses Paket NICHT erforderlich, es ist
ntzlich, wenn Sie das Programm verndern mchten. Die dokumentierte
Quelldatei (*.dtx) ist ein Beispiel fr den Paketinhalt.

%description -l de dvilj
Dvilj und Gebrder konvertieren TeX-Ausgabe-.dvi-Dateien in HP PCL 
 (HP Printer Control Language) Befehle zum Drucken auf HP LaserJet+, 
HP LaserJet IIP (mit dvilj2p), HP LaserJet 4 (mit
 dvilj4) und 
vollstndig kompatiblen Druckern. 

%description -l de
TeX formatiert eine Datei, die abwechselnd Text und Befehle enthlt und
gibt eine gerteunabhngige Datei aus (DVI genannt, Abk. fr DeVice
Independent). Die Funktionen und Sprache von TeX werden in The
TeXbook von Knuth beschrieben.

%description -l fr latex
LaTeX est un paquetage de macros TeX. Les macros LaTeX permettent aux
auteurs de se concentrer sur le contenu des leurs documents, plutt que
sur la forme. L'idal, trs difficile  raliser, est de n'avoir aucune
commande de formatage (comme  mettre en italique , ou  sauter 2 picas )
dans le document ; au lieu de cela, tout est fait par des balises :
 dbut de section ,  gras .

%description -l fr dvips
Le programme dvips convertit les fichiers DVI en PostScript, en
envoyant normalement le rsultat directement sur une imprimante Laser.

%description -l fr afm
Les fontes PostScript sont (ou devraient tre) accompagnes de
fontes mtriques comme Times-Roman.afm qui dcrivent les caractristiques
des fontes appeles Times-Roman. pour utiliser ces fontes avec TeX, nous
avons besoin de TFM, des fichiers qui contiennent des informations
similaires. afm2tfm ralise cette conversion.

%description -l fr xdvi
xdvi est un programme s'excutant sous le systme X Window. Il sert 
visualiser les fichiers dvi tels que ceux produits par tex et latex.

%description -l fr texmf-src
Ce package contient les sources pour les documents et les composants de TeX
dans la distribution teTeX. Ce package N'EST PAS REQUIS pour utiliser teTeX
mais est utile pour ceux qui desirent le personnaliser. Les fichiers sources
documents (*.dtx) sont un exemple de ce que ce package contient.

%description -l fr dvilj
dvilj et ses cousins convertissent les fichiers dvi en commandes HPPCL
(le langage des imprimantes HP) pour les imprimer sur HP LaserJet+,
HP LaserJet IIP (avec dvilj2p), HP LaserJet 4 (avec dvilj4), et autres
imprimantes totalement compatibles.  

%description -l fr
TeX formate un fichier de commandes et de texte mlands, et produit un
fichier de indpendant de toute plate-forme (appel DVI, qui est
un raccourci pour Device Independant). Les possibilits de TeX et son
langage sont dcrites dans l'ouvrage TeXbook, de Knuth.

%description -l tr latex
LaTeX bir TeX makro paketidir. LaTeX makrolar, yazarlar belgelerinin
biimlerinden ok ierikleri zerinde younlamlarna zendirir. dealde,
gerekletirilmesi ok zor olsa da, hi biimlendirme komutuna yer
vermeksizin (``2 birim aralk brak'' gibi), yalnzca zel iaretleme
ynergeleri ile (``yeni bir kesime ge'' gibi) bunu baarmaya alr.

%description -l tr dvips
dvips program, dvi biiminde bir girdi dosyas alr ve onu PostScript'e
dntrr. Kaynak dosya TeX tarafndan oluturulmu olabilecei gibi baka
ileyiciler tarafndan da (GFtoDVI gibi) retilmi olabilir.

%description -l tr afm
PostScript yaztipleri, yaztipi lt dosyalar ile beraber datlrlar.
rnein Times-Roman.afm, Times-Roman yaztipinin karakteristik zelliklerini
tanmlar. Bu trde yaztiplerini TeX ile kullanabilmek iin, benzer
bilgileri tayan TFM dosyalar gerekir. afm2tfm bu gerekli dnm yapar.

%description -l tr xdvi
xdvi X Windows sistemi altnda alan bir programdr. TeX ya da LaTeX
tarafndan oluturulmu olan dvi dosyalarnn grntlenmesi amacyla
kullanlr.

%description -l tr texmf-src
Bu paket, teTeX datmndaki belge ve bileenlerin kaynak kodlarn ierir.
teTeX'in kullanlmas iin gerekli DELDR ama TeX'in baz yerlerini
deitirmek isteyenler iin yararl olabilir.

%description -l tr dvilj
TeX kts dvi dosyalarn HP PCL (HP'nin gelitirdii bir yazc denetim
dili) komutlarna evirir ve bylece bir LaserJet+, HP LaserJet IIP (dvilj2p
ile), HP LaserJet4 (dvilj4 ile) ve tam uyumlularndan yazc kts
alnabilir.

%description -l tr
TeX, iinde metin ve komutlarn yer ald bir dosyay okur ve dizgi
aygtndan bamsz bir kt (DeVice Independent - DVI) oluturur.
TeX'in becerileri ve dizgi dili, dili gelitiren Knuth'un 'The TeXbook'
balkl kitabnda anlatlmaktadr.

%prep
%setup -q -n teTeX-src-0.4
%patch0 -p1 -b .prerh
%patch2 -p1 -b .noglibc

%ifarch i386
arch=`uname -m`-linux
%else
arch=${RPM_ARCH}-linux
%endif

# do preprocessing for file lists for architecture specfic files
for n in tetex-tetex-skel tetex-latex-skel tetex-xdvi-skel \
         tetex-dvilj-skel tetex-dvips-skel tetex-afm-skel ; do
   sed "s/ARCH/${arch}/g" < $RPM_SOURCE_DIR/$n > $n
done       

# rm -rf /usr/lib/texmf
cd /usr/lib

rm -rf texmf teTeX
tar xpzf $RPM_SOURCE_DIR/%{texlib}
mv teTeX texmf
cd texmf
%patch1 -p1
%patch3 -p1
rm -f texmf/maketex/maketex.site.orig
rm -f texmf.cnf.orig
rm -f texmg/dvips/config/config.ps.orig
tar xvzpf $RPM_SOURCE_DIR/%{texmfsrc}

%build
rm -f config.cache

%ifarch alpha
RPM_OPT_FLAGS="-DPOINTER_IS_NOT_INT $RPM_OPT_FLAGS"
%endif

X_EXTRA_LIBS='-lSM -lICE' make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" config clean texhash all

%install
rm -f texinfo-3.9/info/info.1

make install ini

# patch up to update-008
# upgrade to 0.4pl8
#cp $RPM_SOURCE_DIR/update-008.sh .
#TEXMF="/usr/lib/texmf/texmf" sh ./update-008.sh


# unfortunately, teTeX leaves things pretty messy as far as the fsstnd
# is concerned

%ifarch i386
arch=`uname -m`-linux
%else
arch=${RPM_ARCH}-linux
%endif

cd /usr/lib/texmf
rm -f bin/$arch/makeinfo
rm -f bin/$arch/texindex
rm -f bin/$arch/texi2dvi
rm -f bin/$arch/info
rm -f bin/$arch/dialog
rm -f texmf/doc/programs/makeinfo.dvi

# let's grab the info files, move and gzip them, and then remove the info
# directory
for n in dvips.info dvips.info-1 dvips.info-2 dvips.info-3 fontname.info kpathsea.info kpathsea.info-1 kpathsea.info-2 kpathsea.info-3 ; do
    echo "installing /usr/info/$n.gz"
    cp -f info/$n /usr/info
    gzip -fn9 /usr/info/$n
done
rm -rf info

# man pages are in a really poor location as well
for n in man/man?/*; do
    echo "installing /usr/$n"
    cp $n /usr/$n
done
rm -rf man

# there's a better place for these docs as well
# this stuff moved with release 0.4
cd /usr/lib/texmf/texmf/doc/tetex
rm -rf $RPM_DOC_DIR/tetex-0.4
mkdir -p $RPM_DOC_DIR/tetex-0.4
for n in CREDITS README TETEXDOC.tex teTeX-FAQ LICENSE TETEXDOC.dvi; do
    cp -f $n $RPM_DOC_DIR/tetex-0.4
    rm $n
done

# now for the bins. they all determine where texmf is via their current
# locations (I think they do anyway). That means that moving them could
# be a bad idea. Links should be okay, though it's admitedly ugly
cd /usr/lib/texmf/bin/$arch
for n in *; do
        echo linking to /usr/bin/$n
        ln -sf ../lib/texmf/bin/$arch/$n /usr/bin/$n
done

strip afm2tfm bibtex dmp dvicopy dvilj dvilj2p dvilj4 dvilj4l dvips 
strip dvitype gftodvi
strip gftopk gftype gsftopk inimf inimp initex kpsetool mag makeindex.bin mft
strip mpto newer patgen
strip pfb2pfa pk2bm pktogf pktype pltotf pooltype ps2pk tangle tftopl vftovp
strip virmf virtex vptovf weave xdvi.bin

# lists not used for anything 
cd /usr/lib/texmf
rm -rf texmf/lists

#
# add this so that normal users can create fonts
#
mkdir -p /var/lib/texmf/texfonts
chmod 1777 /var/lib/texmf/texfonts

mkdir -p /var/lib/texmf/fonts
chmod 1777 /var/lib/texmf/fonts

# install the new magic print filter for converting dvi to ps
mkdir -p /usr/lib/rhs/rhs-printfilters
install -m755 $RPM_SOURCE_DIR/dvi-to-ps.fpi /usr/lib/rhs/rhs-printfilters

install -m755 $RPM_SOURCE_DIR/tetex.cron /etc/cron.daily

# make sure ls-R used by tetex is updated after an install

%post
/sbin/install-info /usr/info/fontname.info.gz /usr/info/dir
/sbin/install-info /usr/info/kpathsea.info.gz /usr/info/dir
texhash 2> /dev/null
exit 0

%post latex
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%post xdvi
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%post dvips
/sbin/install-info /usr/info/dvips.info.gz /usr/info/dir
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%post dvilj
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%post afm
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun latex
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun xdvi
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun dvips
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun dvilj
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%postun afm
[ -x /usr/bin/texhash ] && texhash 2> /dev/null
exit 0

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete /usr/info/kpathsea.info.gz /usr/info/dir
	/sbin/install-info --delete /usr/info/fontname.info.gz /usr/info/dir
fi

%preun dvips
if [ "$1" = 0 ]; then
	/sbin/install-info --delete /usr/info/dvips.info.gz /usr/info/dir
fi

%files -f tetex-tetex-skel
%dir /var/lib/texmf/fonts
%dir /var/lib/texmf/texfonts
%config /etc/cron.daily/tetex.cron
/usr/doc/tetex-0.4
/usr/bin/MakeTeXMF
/usr/bin/MakeTeXPK
/usr/bin/MakeTeXTFM
/usr/bin/MakeTeXmkdir
/usr/bin/MakeTeXnames
/usr/bin/allcm
/usr/bin/allec
/usr/bin/allneeded
/usr/bin/append_db
/usr/bin/amstex
/usr/bin/bibtex
/usr/bin/dmp
/usr/bin/dvi2fax
/usr/bin/dvicopy
/usr/bin/dvihp
/usr/bin/dvired
/usr/bin/dvitomp
/usr/bin/dvitype
/usr/bin/fontexport
/usr/bin/fontimport
/usr/bin/gftodvi
/usr/bin/gftopk
/usr/bin/gftype
/usr/bin/gsftopk
/usr/bin/inimf
/usr/bin/inimp
/usr/bin/initex
/usr/bin/kpsepath
/usr/bin/kpsetool
/usr/bin/kpsewhich
/usr/bin/kpsexpand
/usr/bin/mag
/usr/bin/makeindex
/usr/bin/makeindex.bin
/usr/bin/makempx
/usr/bin/mf
/usr/bin/mft
/usr/bin/mkfontdesc
/usr/bin/mkindex
/usr/bin/mp
/usr/bin/mpto
/usr/bin/newer
/usr/bin/patgen
/usr/bin/pfb2pfa
/usr/bin/pk2bm
/usr/bin/pktogf
/usr/bin/pktype
/usr/bin/pltotf
/usr/bin/pooltype
/usr/bin/ps2frag
/usr/bin/ps2pk
/usr/bin/tangle
/usr/bin/tex
/usr/bin/texconfig
/usr/bin/texhash
/usr/bin/texi2html
/usr/bin/tftopl
/usr/bin/troffmpx
/usr/bin/vftovp
/usr/bin/virmf
/usr/bin/virmp
/usr/bin/virtex
/usr/bin/vptovf
/usr/bin/weave

/usr/info/fontname.info.gz
/usr/info/kpathsea.info-1.gz
/usr/info/kpathsea.info-2.gz
/usr/info/kpathsea.info-3.gz
/usr/info/kpathsea.info.gz

/usr/man/man1/allcm.1
/usr/man/man1/alldc.1
/usr/man/man1/allneeded.1
/usr/man/man1/amslatex.1
/usr/man/man1/amstex.1
/usr/man/man1/append_db.1
/usr/man/man1/bibtex.1
/usr/man/man1/dvired.1
/usr/man/man1/dvitype.1
/usr/man/man1/etex.1
/usr/man/man1/fontexport.1
/usr/man/man1/fontimport.1
/usr/man/man1/gftodvi.1
/usr/man/man1/gftopk.1
/usr/man/man1/gftype.1
/usr/man/man1/gsftopk.1
/usr/man/man1/initex.1
/usr/man/man1/lamstex.1
/usr/man/man1/mag.1
/usr/man/man1/makeindex.1
/usr/man/man1/mf.1
/usr/man/man1/mft.1
/usr/man/man1/mp.1
/usr/man/man1/patgen.1
/usr/man/man1/pfb2pfa.1
/usr/man/man1/pk2bm.1
/usr/man/man1/pktogf.1
/usr/man/man1/pktype.1
/usr/man/man1/pltotf.1
/usr/man/man1/pooltype.1
/usr/man/man1/ps2frag.1
/usr/man/man1/ps2pk.1
/usr/man/man1/slitex.1
/usr/man/man1/tangle.1
/usr/man/man1/tex.1
/usr/man/man1/texconfig.1
/usr/man/man1/texhash.1
/usr/man/man1/tftopl.1
/usr/man/man1/vftovp.1
/usr/man/man1/virtex.1
/usr/man/man1/vptovf.1
/usr/man/man1/weave.1

%config /usr/lib/texmf/texmf.cnf

/usr/lib/texmf/README
/usr/lib/texmf/bin/README
/usr/lib/texmf/texmf/updates.dat
/usr/lib/texmf/texmf/doc/Makefile
/usr/lib/texmf/texmf/doc/README
/usr/lib/texmf/texmf/doc/ams/amsfonts/
/usr/lib/texmf/texmf/doc/ams/amslatex/
/usr/lib/texmf/texmf/doc/ams/amstex/
/usr/lib/texmf/texmf/doc/bibtex/base/
/usr/lib/texmf/texmf/doc/bibtex/custom-bib
/usr/lib/texmf/texmf/doc/bibtex/natbib
/usr/lib/texmf/texmf/doc/eplain/eplain.dvi
/usr/lib/texmf/texmf/doc/fonts/ams
/usr/lib/texmf/texmf/doc/fonts/cyrillic/
/usr/lib/texmf/texmf/doc/fonts/dc/
/usr/lib/texmf/texmf/doc/fonts/ec/
/usr/lib/texmf/texmf/doc/fonts/fontname/
/usr/lib/texmf/texmf/doc/fonts/oldgerman/
/usr/lib/texmf/texmf/doc/generic/
/usr/lib/texmf/texmf/doc/help/
/usr/lib/texmf/texmf/doc/helpfile
/usr/lib/texmf/texmf/doc/helpindex.html
/usr/lib/texmf/texmf/doc/index.html
/usr/lib/texmf/texmf/doc/makeindex/
/usr/lib/texmf/texmf/doc/metapost/
/usr/lib/texmf/texmf/doc/mkhtml
/usr/lib/texmf/texmf/doc/mkhtml.nawk
/usr/lib/texmf/texmf/doc/programs/kpathsea.dvi
/usr/lib/texmf/texmf/doc/programs/texinfo.dvi
/usr/lib/texmf/texmf/doc/tetex/
/usr/lib/texmf/texmf/fontname/
/usr/lib/texmf/texmf/fonts/source/public/bbm/
/usr/lib/texmf/texmf/fonts/source/public/bbold/
/usr/lib/texmf/texmf/fonts/source/public/cm/
/usr/lib/texmf/texmf/fonts/source/public/cmextra/
/usr/lib/texmf/texmf/fonts/source/public/concrete/
/usr/lib/texmf/texmf/fonts/source/public/gothic/
/usr/lib/texmf/texmf/fonts/source/public/mflogo/
/usr/lib/texmf/texmf/fonts/source/public/misc/
/usr/lib/texmf/texmf/fonts/source/public/olddc/
/usr/lib/texmf/texmf/fonts/source/public/pandora/
/usr/lib/texmf/texmf/fonts/source/public/rsfs/
/usr/lib/texmf/texmf/fonts/source/public/stmary/
/usr/lib/texmf/texmf/fonts/source/public/wasy/
/usr/lib/texmf/texmf/fonts/source/public/xypic/
/usr/lib/texmf/texmf/fonts/source/ams/cmextra/
/usr/lib/texmf/texmf/fonts/source/ams/cyrillic/
/usr/lib/texmf/texmf/fonts/source/ams/euler/
/usr/lib/texmf/texmf/fonts/source/ams/symbols/
/usr/lib/texmf/texmf/fonts/source/jknappen/
/usr/lib/texmf/texmf/fonts/tfm/adobe/
/usr/lib/texmf/texmf/fonts/tfm/public/bbm/
/usr/lib/texmf/texmf/fonts/tfm/public/bbold/
/usr/lib/texmf/texmf/fonts/tfm/public/cm/
/usr/lib/texmf/texmf/fonts/tfm/public/cmextra/
/usr/lib/texmf/texmf/fonts/tfm/public/concrete/
/usr/lib/texmf/texmf/fonts/tfm/public/gothic/
/usr/lib/texmf/texmf/fonts/tfm/public/mflogo/
/usr/lib/texmf/texmf/fonts/tfm/public/misc/
/usr/lib/texmf/texmf/fonts/tfm/public/pandora/
/usr/lib/texmf/texmf/fonts/tfm/public/rsfs/
/usr/lib/texmf/texmf/fonts/tfm/public/stmary/
/usr/lib/texmf/texmf/fonts/tfm/public/wasy/
/usr/lib/texmf/texmf/fonts/tfm/public/xypic/
/usr/lib/texmf/texmf/fonts/tfm/bitstrea/
/usr/lib/texmf/texmf/fonts/tfm/ams/cmextra/
/usr/lib/texmf/texmf/fonts/tfm/ams/cyrillic/
/usr/lib/texmf/texmf/fonts/tfm/ams/euler/
/usr/lib/texmf/texmf/fonts/tfm/ams/symbols/
/usr/lib/texmf/texmf/fonts/type1/
/usr/lib/texmf/texmf/fonts/vf/
/usr/lib/texmf/texmf/maketex/maketex.site
/usr/lib/texmf/texmf/makeindex/
/usr/lib/texmf/texmf/metafont/
/usr/lib/texmf/texmf/metapost/
/usr/lib/texmf/texmf/mft/
/usr/lib/texmf/texmf/tex/amstex
/usr/lib/texmf/texmf/tex/eplain/
/usr/lib/texmf/texmf/tex/generic/
/usr/lib/texmf/texmf/tex/plain/
/usr/lib/texmf/texmf/tex/texinfo/
/usr/lib/texmf/texmf/texconfig/
/usr/lib/texmf/texmf/web2c/
/usr/lib/texmf/texmf/bibtex/
/usr/lib/texmf/texmf/ls-R

%files -f tetex-latex-skel latex
/usr/bin/latex
/usr/bin/pslatex
/usr/lib/texmf/texmf/doc/latex/
/usr/lib/texmf/texmf/fonts/source/public/latex/
/usr/lib/texmf/texmf/fonts/tfm/public/latex/
/usr/lib/texmf/texmf/tex/latex/
/usr/man/man1/latex.1

%files -f tetex-xdvi-skel xdvi
/usr/bin/xdvi
/usr/bin/xdvi.bin
/usr/lib/texmf/texmf/xdvi/XDvi
/usr/man/man1/xdvi.1

%files -f tetex-dvips-skel dvips
/usr/bin/dvips
/usr/lib/rhs/rhs-printfilters/dvi-to-ps.fpi
/usr/info/dvips.info-1.gz
/usr/info/dvips.info-2.gz
/usr/info/dvips.info-3.gz
/usr/info/dvips.info.gz
/usr/lib/texmf/texmf/doc/programs/dvipsk.dvi
/usr/lib/texmf/texmf/dvips/
/usr/man/man1/dvips.1

%files -f tetex-dvilj-skel dvilj
/usr/bin/dvilj
/usr/bin/dvilj2p
/usr/bin/dvilj4
/usr/bin/dvilj4l
/usr/man/man1/dvilj.1

%files -f tetex-afm-skel afm
/usr/bin/afm2tfm
/usr/lib/texmf/texmf/fonts/afm/
/usr/man/man1/afm2tfm.1

%files texmf-src
/usr/lib/texmf/source
